uniform sampler2D texture;
uniform float fade;

void main ()
{ 
	vec4 frag = texture2D(texture, gl_TexCoord[0].st);
	//float gray = (frag.r + frag.g + frag.b) / 3.0;
	//float inten = (frag.r + frag.g + frag.b) - 1.5;
	//inten = inten / 3.0;
	gl_FragColor = frag + vec4(fade);// + vec4(inten);
}